Subject: Re: bug#5195: 23.1; bad indentation in (elisp) example
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>, [email-masked]
Date: Sat, 02 Jan 2010 22:37:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 2 Jan 2010 12:01:34 -0800
> Cc: [email-masked]
> 
> > > emacs -Q
> > > Go to (elisp)Example Major Modes
> > 
> > > The `emacs-lisp-mode-syntax-table' example is not indented
> > > correctly.  E.g.:
> > 
> > >    (while (< i ?0)
> > > (modify-syntax-entry i "_   " table)
> > > (setq i (1+ i)))
> > 
> > I can't reproduce this: the indentation is correct for me.
> 
> Well, it's as clear as day for me, in emacs -Q on Windows. Perhaps it's a
> platform problem.

No, it wasn't.  I fixed it.  Thanks for catching this.

I don't know why Yidong didn't see it; perhaps he was looking at the
Texinfo sources, where the example's indentation is indeed all dandy.
The problem was that this example used TABs, not spaces, for
indentation, which is generally a no-no in Texinfo (that's why Texinfo
mode sets indent-tabs-mode to nil).  When an Info file is produced,
makeinfo indents examples some more, and then indentation with TABs
gets screwed, of course.